public inbox for dwz@sourceware.org
 help / color / mirror / Atom feed
* [PATCH, committed] Add more test-cases
@ 2019-01-01  0:00 Tom de Vries
  0 siblings, 0 replies; only message in thread
From: Tom de Vries @ 2019-01-01  0:00 UTC (permalink / raw)
  To: dwz, jakub

Hi,

Add test-cases excercising the -o, -r, and -M options.

Committed as obvious.

Thanks,
- Tom

Add more test-cases

2019-03-04  Tom de Vries  <tdevries@suse.de>

	* testsuite/dwz.tests/multifile-name.sh: New test.
	* testsuite/dwz.tests/multifile-relative.sh: New test.
	* testsuite/dwz.tests/regular-o.sh: New test.

---
 testsuite/dwz.tests/multifile-name.sh     | 20 ++++++++++++++++++++
 testsuite/dwz.tests/multifile-relative.sh | 20 ++++++++++++++++++++
 testsuite/dwz.tests/regular-o.sh          | 17 +++++++++++++++++
 3 files changed, 57 insertions(+)

diff --git a/testsuite/dwz.tests/multifile-name.sh b/testsuite/dwz.tests/multifile-name.sh
new file mode 100755
index 0000000..26d2ed3
--- /dev/null
+++ b/testsuite/dwz.tests/multifile-name.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+cp ../hello 1
+cp ../hello 2
+
+dwz -m 3 -M /xxx/yyy/3 1 2
+
+smaller-than.sh 1 ../hello
+smaller-than.sh 2 ../hello
+
+ls=$(ls)
+ls=$(echo $ls)
+[ "$ls" = "1 2 3" ]
+
+[ $(gnu-debugaltlink-name.sh 1) = "/xxx/yyy/3" ]
+[ $(gnu-debugaltlink-name.sh 2) = "/xxx/yyy/3" ]
+
+rm -f 1 2 3
diff --git a/testsuite/dwz.tests/multifile-relative.sh b/testsuite/dwz.tests/multifile-relative.sh
new file mode 100755
index 0000000..9b13d43
--- /dev/null
+++ b/testsuite/dwz.tests/multifile-relative.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+cp ../hello 1
+cp ../hello 2
+
+dwz -m $(pwd -P)/3 -r 1 2
+
+smaller-than.sh 1 ../hello
+smaller-than.sh 2 ../hello
+
+ls=$(ls)
+ls=$(echo $ls)
+[ "$ls" = "1 2 3" ]
+
+[ $(gnu-debugaltlink-name.sh 1) = "3" ]
+[ $(gnu-debugaltlink-name.sh 2) = "3" ]
+
+rm -f 1 2 3
diff --git a/testsuite/dwz.tests/regular-o.sh b/testsuite/dwz.tests/regular-o.sh
new file mode 100755
index 0000000..0a44a52
--- /dev/null
+++ b/testsuite/dwz.tests/regular-o.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+cp ../hello 1
+
+dwz 1 -o 2
+
+cmp 1 ../hello
+
+smaller-than.sh 2 1
+
+ls=$(ls)
+ls=$(echo $ls)
+[ "$ls" = "1 2" ]
+
+rm -f 1 2

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2019-03-04  7:20 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-01-01  0:00 [PATCH, committed] Add more test-cases Tom de Vries

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).